#!/usr/bin/env bash

set -Eeuo pipefail

SSHD_CONFIG_FILENAME="/etc/ssh/sshd_config"
SSHD_CONFIG_FILENAME_TEMPLATE="$SSHD_CONFIG_FILENAME.template"

(
  env -i \
    APP_SSH_HOSTKEY_DIR="$APP_SSH_HOSTKEY_DIR" \
    APP_SSH_UMASK="$APP_SSH_UMASK" \
    APP_USERS_KEYS_DIR="$APP_USERS_KEYS_DIR" \
    envsubst < "$SSHD_CONFIG_FILENAME_TEMPLATE"
) > "$SSHD_CONFIG_FILENAME"

mkdir -p -- "$APP_SSH_HOSTKEY_DIR"
